// 接口地址url统一管理
import cfg from "./config.js";
const api = cfg.api;

// 登录接口
const apis = {
  api_order_addOrderFile: `${api()}/hops/agent/order/addOrderFile.do`,
  api_chance_detail: `${api()}/java/order/get-chance-detail`,
  api_order_getOrderAgentSels: `${api()}/hops/agent/order/getOrderAgentSels.do`,
  api_order_orderLogs: `${api()}/hops/agent/order/orderLogs.do`,
  api_order_intentInfo: `${api()}/hops/agent/order/intentInfo.do`,
  api_order_source_list: `${api()}/java/order/chance-source-list`,
  api_order_personnel_list: `${api()}/java/order/personnel-list`,
  api_order_apply_user: `${api()}/java/order/personnel-list`,
  api_order_exportOrders: `${api()}/hops/agent/order/exportOrders.do`, //导出主订单
  api_order_invild: `${api()}/hops/agent/order/invild.do`, //订单作废
  api_order_changeOrderRentType: `${api()}/hops/agent/order/changeOrderRentType.do`, //线上/下单互转

  api_common_currency: `${api()}/hpay/common/currency.do`,
  api_common_flow_remit: `${api()}/hpay/common/orderFlowRemitSelect.do`,
  api_agent_export: `${api()}/hpay/agent/exportPayFlow.do`,
  api_order_createOfflineRentOrder: `${api()}/hops/agent/order/createRentOrder.do`,
  api_agent_refundPageInfo: `${api()}/hpay/agent/refundPageInfo.do`,
  api_agent_checkOfflinePay: `${api()}/hpay/agent/checkOfflinePay.do`,
  api_agent_agentOfflinePay: `${api()}/hpay/agent/agentOfflinePay.do`,
  api_agent_setOfflineRefundFlow: `${api()}/hpay/agent/offlineRefundFlow.do`,
  api_agent_onlineRefund: `${api()}/hpay/agent/onlineRefund.do`,
  api_order_list: `${api()}/hops/agent/order/list.do`,
  // api_order_searchHouses: `${api()}/hops/agent/order/searchHouses.do`,
  api_order_searchLandlords: `${api()}/hops/agent/order/searchLandlords.do`,
  api_order_auditStatusList: `${api()}/hops/agent/order/auditStatusList.do`,
  api_order_info: `${api()}/hops/agent/order/info.do`,
  api_order_setPayOrder: `${api()}/hpay/agent/setPayOrder.do`,
  api_order_orderPaySelects: `${api()}/hops/agent/order/orderPaySelects.do`,
  api_order_goodsSelects: `${api()}/hops/agent/goods/goodsSelects.do`,
  api_order_orderPayInfo: `${api()}/hpay/agent/orderPayInfo.do`,
  api_order_infoSelects: `${api()}/hops/agent/order/orderInfoSelects.do`,
  api_order_createRentOrder: `${api()}/hops/agent/order/createRentOrder.do`,
  api_building_itemList: `${api()}/java/building/item-list`,
  api_building_buildingList: `${api()}/java/building/building-list`,
  api_agent_payFlowInfo: `${api()}/hpay/agent/payFlowInfo.do`,
  api_agent_setRefundOrder: `${api()}/hpay/agent/setRefundOrder.do`,
  api_agent_updateRentOrder: `${api()}/hops/agent/order/updateRentOrder.do`,
  api_agent_updatePayOrder: `${api()}/hpay/agent/updatePayOrder.do`,
  api_agent_cancelPayOrder: `${api()}/hpay/agent/cancelPayOrder.do`,
  api_agent_orderPayList: `${api()}/hpay/agent/orderPayList.do`,
  api_agent_refundList: `${api()}/hpay/agent/refundList.do`,
  api_agent_orderPayFlowList: `${api()}/hpay/agent/orderPayFlowList.do`,
  api_agent_payModeList: `${api()}/hpay/agent/payModeList.do`,
  api_hpay_agent_updateRentOrder: `${api()}/hpay/agent/updatePayOrderFlow.do`,
  api_hpay_agent_refundInfo: `${api()}/hpay/agent/refundInfo.do`,
  api_agent_auditOrderRent: `${api()}/hops/agent/order/auditOrderRent.do`,
  api_agent_auditRefund: `${api()}/hpay/agent/auditRefund.do`,
  api_agentMsg: `${api()}/hupms/agentMsg/list.do`,
  api_agentMsg_info: `${api()}/hupms/agentMsg/info.do`,
  api_agentMsg_newMsg: `${api()}/hupms/agentMsg/newMsg.do`,
  api_agent_batchRefundOrder: `${api()}/hpay/agent/batchRefundOrder.do`,
  api_agent_refundOrderPayList: `${api()}/hpay/agent/refundOrderPayList.do`,
  api_country_city: `${api("php")}/common/address`,
  api_upload_files: `${api("php")}/common/upload/files`,
  api_user_card_list: `${api("php")}/common/user-card/list`,
  api_user_card_particulars: `${api("php")}/common/user-card/particulars`,
  api_user_card_edit: `${api("php")}/common/user-card/edit`,
  api_user_card_status: `${api("php")}/common/user-card/status`,
  api_user_verification: `${api()}/common/user/verification`,

  api_get_chance: `${api("php")}/java/order/get-chance-list`,
  api_distributor_list: `${api("php")}/java/distributor/list`,
  api_prefix_list: `${api("php")}/common/user/country-list`,

  api_all_staff: `${api("php")}/java/order/all-staff`,

  // 所有权限节点
  api_menu_get_menus: `${api("php")}/platform/communal/menu/get-menus`,
  // 获取账户对应菜单下权限
  api_get_menu_buttons: `${api("php")}/platform/communal/menu/get-user-buttons`,
  // 左侧菜单
  api_menu_user_menus: `${api("php")}/platform/communal/menu/get-user-menus`,
  //获取账号平台权限
  api_platform_get_platforms: `${api(
    "php"
  )}/platform/communal/user/get-platforms`,

  //角色
  api_role_list: `${api("php")}/platform/communal/role/list`,
  api_role_add: `${api("php")}/platform/communal/role/add-role`,
  api_role_edit: `${api("php")}/platform/communal/role/update-role`,
  api_role_delete: `${api("php")}/platform/communal/role/delete`,
  api_role_detail: `${api("php")}/platform/communal/role/detail`,
  // api_role_status: `${api("php")}/platform/communal/role/status`,
  api_role_add_user: `${api("php")}/platform/communal/role/add-user`,
  api_role_move_user: `${api("php")}/platform/communal/role/move-user`,
  api_role_again_user: `${api("php")}/platform/communal/role/again-role`,

  // 账号（用户）
  api_user_list: `${api("php")}/platform/communal/user/user-list`,
  api_user_edit_pwd: `${api("php")}/platform/communal/user/edit-pwd`,
  api_user_update: `${api("php")}/platform/communal/user/update-user`,
  api_user_add: `${api("php")}/platform/communal/user/add-user`,
  api_user_detail: `${api("php")}/platform/communal/user/detail`,
  api_role_menu_edit: `${api("php")}/platform/communal/role/add-nodes`,

  // 对象
  api_menu_list: `${api("php")}/platform/communal/menu/list`,
  api_menu_detail: `${api("php")}/platform/communal/menu/detail`,
  api_menu_add: `${api("php")}/platform/communal/menu/add`,
  api_menu_edit: `${api("php")}/platform/communal/menu/edit`,
  api_menu_status: `${api("php")}/platform/communal/menu/status`,
  api_menu_delete: `${api("php")}/platform/communal/menu/delete`,
  api_menu_user_buttons: `${api(
    "php"
  )}/platform/communal/menu/get-user-buttons`,
  // 汇出单
  api_remit_getTransferTpl: `${api()}/hops/agent/remit/getTransferTpl.do`,
  api_remit_remitTypeList: `${api()}/hops/agent/remit/remitTypeList.do`,
  api_remit_create: `${api()}/hops/agent/remit/create.do`,
  api_remit_list: `${api()}/hops/agent/remit/list.do`,
  api_remit_listForOrder: `${api()}/hops/agent/remit/listForOrder.do`,
  api_remit_info: `${api()}/hops/agent/remit/info.do`,
  api_remit_update: `${api()}/hops/agent/remit/update.do`,
  api_remit_submit: `${api()}/hops/agent/remit/submit.do`,
  api_remit_apply: `${api()}/hops/agent/remit/apply.do`,
  api_remit_drop: `${api()}/hops/agent/remit/drop.do`,
  api_remit_createUsers: `${api()}/hops/agent/remit/createUsers.do`,
  api_remit_reBack: `${api()}/hops/agent/remit/reBack.do`,

  // invoice
  api_invoice_list: `${api()}/hops/agent/invoice/list.do`,
  api_invoice_create: `${api()}/hops/agent/invoice/create.do`,
  api_invoice_info: `${api()}/hops/agent/invoice/info.do`,
  api_invoice_saveTemplate: `${api()}/hops/agent/invoice/saveTemplate.do`,
  api_invoice_templateInfo: `${api()}/hops/agent/invoice/templateInfo.do`,
  api_invoice_companyInfo: `${api()}/hops/agent/invoice/companyInfo.do`,
  api_invoice_invoiceSelect: `${api()}/hops/agent/invoice/invoiceSelect.do`,
  // 地图
  api_get_place_detail: `${api()}/common/google/get-place-detail`,
  api_get_autocomplete: `${api()}/common/google/get-autocomplete`,
  // 审核人员
  api_audituser_list: `${api()}/hops/agent/audituser/list.do`, //审核人员列表
  api_oms_shool_list: `${api()}/platform/communal/common/oms-school`,
  api_order_getWorkFlowList: `${api()}/hops/agent/order/getWorkFlowList.do`, //审核人员列表
  api_agentMsg_backlogNum: `${api()}/hupms/agentMsg/backlogNum.do`,
  api_agentMsg_markRead: `${api()}/hupms/agentMsg/markRead.do`,
  api_audituser_add: `${api()}/hops/agent/audituser/add.do`, //审核人员添加
  api_audituser_delete: `${api()}/hops/agent/audituser/delete.do`, //审核人员列表,
  // 服务单
  api_goods_list: `${api()}/hops/agent/goods/list.do`,
  api_goods_info: `${api()}/hops/agent/goods/info.do`,
  api_goods_create: `${api()}/hops/agent/goods/create.do`,
  api_order_alterOrderPayOwners: `${api()}/hops/agent/order/alterOrderPayOwners.do`,
  api_goods_transToOrderRent: `${api()}/hops/agent/goods/transToOrderRent.do`,
  api_common_address_mapping: `${api()}/common/google/address-mapping`, //返回google官方地址
  // 1.3.1新需求接口
  api_order_getOrderRentList: `${api()}/hops/agent/order/getOrderRentList.do`, //订单列表（房源纬度）
  api_order_getOrderUserList: `${api()}/hops/agent/order/getOrderUserList.do`, //订单列表（客户纬度）
  api_order_getAuditOrderRentList: `${api()}/hops/agent/order/getAuditOrderRentList.do`,
  api_order_getAuditOrderUserList: `${api()}/hops/agent/order/getAuditOrderUserList.do`,
  api_order_rentToOrderUserList: `${api()}/hops/agent/order/rentToOrderUserList.do`,
  api_remit_orderList: `${api()}/hops/agent/remit/orderList.do`,
  api_order_searchHouses: `${api()}/hops/agent/order/searchHouses.do`,
  api_building_list: `${api("php")}/java/building/list`
};
export default apis;
