import "@/assets/css/common.less";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import apis from "@/common/api.js";
import * as net from "@/common/net.js";
import * as util from "@/common/utils.js";

Vue.config.devtools = process.env.VUE_APP_ENV === "dev" ? true : false;
Vue.config.productionTip = false;

Vue.prototype.$apis = apis;
Vue.prototype.$net = net;
Vue.prototype.$utils = util;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
