import { checkIsLogin, myStorage, checkIsChrome } from "@/common/utils.js";

const routes = [
  {
    path: "/",
    name: "oms",
    component: resolve => require(["@/views/Home"], resolve),
    children: [
      {
        path: "home",
        name: "home",
        component: resolve => require(["@/pages/home/oms"], resolve),
        children: [
          {
            path: "index",
            name: "index",
            component: resolve => require(["@/pages/home/home"], resolve)
          },
          {
            path: "notice",
            name: "notice",
            component: resolve => require(["@/pages/home/oms/crm"], resolve),
            children: [
              {
                path: "omsnotice",
                name: "omsnotice",
                component: resolve =>
                  require(["@/pages/home/oms/crm/OmsNotice"], resolve)
              },
              {
                path: "authenticationinformation",
                name: "authenticationinformation",
                component: resolve =>
                  require([
                    "@/pages/home/oms/crm/AuthenticationInformation"
                  ], resolve)
              },
              {
                path: "mainorder",
                name: "mainorder",
                component: resolve =>
                  require(["@/pages/home/oms/crm/MainOrder"], resolve)
              },
              {
                path: "caseClose",
                name: "caseClose",
                component: resolve =>
                  require(["@/pages/home/oms/crm/caseClose"], resolve)
              },
              {
                path: "paymentwater",
                name: "paymentwater",
                component: resolve =>
                  require(["@/pages/home/oms/crm/PaymentWater"], resolve)
              },
              {
                path: "withdraw",
                name: "withdraw",
                component: resolve =>
                  require(["@/pages/home/oms/crm/WithDraw"], resolve)
              },
              {
                path: "refundapproval",
                name: "refundapproval",
                component: resolve =>
                  require(["@/pages/home/oms/crm/RefundApproval"], resolve)
              },
              {
                path: "RemitList",
                name: "RemitList",
                component: resolve =>
                  require(["@/pages/home/oms/crm/RemitList"], resolve)
              }
            ]
          },
          {
            path: "orderlist",
            name: "orderlist",
            component: resolve =>
              require(["@/pages/home/oms/OrderList"], resolve)
          },
          {
            path: "payment",
            name: "payment",
            component: resolve =>
              require(["@/pages/home/oms/PaymentList"], resolve)
          },
          {
            path: "goods",
            name: "goods",
            component: resolve => require(["@/pages/home/oms/goods"], resolve)
          },
          {
            path: "paymentwaterlist",
            name: "paymentwaterlist",
            component: resolve =>
              require(["@/pages/home/oms/PaymentWaterList"], resolve)
          },
          {
            path: "refund",
            name: "refund",
            component: resolve =>
              require(["@/pages/home/oms/RefundList"], resolve)
          },
          {
            path: "refundwater",
            name: "refundwater",
            component: resolve =>
              require(["@/pages/home/oms/RefundWaterList"], resolve)
          },
          {
            path: "certification",
            name: "certification",
            component: resolve =>
              require([
                "@/pages/home/oms/AuthenticationInformationList"
              ], resolve)
          },
          {
            path: "transfer",
            name: "transfer",
            component: resolve =>
              require(["@/pages/home/oms/TransferList"], resolve)
          },
          {
            path: "invoice",
            name: "invoice",
            component: resolve => require(["@/pages/home/oms/invoice"], resolve)
          },
          {
            path: "",
            redirect: "index"
          }
        ]
      },
      {
        path: "setting",
        name: "manage",
        component: resolve => require(["@/pages/home/manage"], resolve),
        children: [
          {
            path: "account",
            name: "account",
            component: resolve =>
              require(["@/components/account/Account"], resolve)
          },
          {
            path: "role",
            name: "role",
            component: resolve => require(["@/components/role/Role"], resolve)
          },
          {
            path: "model",
            name: "model",
            component: resolve => require(["@/components/model/Model"], resolve)
          },
          {
            path: "auditor",
            name: "auditor",
            component: resolve =>
              require(["@/components/auditor/Auditor"], resolve)
          },
          {
            path: "",
            redirect: "account"
          }
        ]
      },
      {
        path: "",
        redirect: "home"
      }
    ]
  },
  {
    path: "*",
    redirect: () => {
      if (window.location.host.includes("hoolihome")) {
        window.location.href = "/notfound";
      } else {
        return "/";
      }
    }
  }
];

const router = new VueRouter({
  mode: "history",
  base: "/oms/",
  routes
});

// let tokenFlag = false;

router.beforeEach((to, from, next) => {
  if (!checkIsChrome()) {
    window.location.href = "/chrome";
  } else {
    if (checkIsLogin()) {
      next();
    } else {
      logoutFn();
    }
  }
});

const logoutFn = () => {
  const { href, host } = window.location;
  let fullPath = href.split(host)[1];
  let next =
    fullPath.indexOf("next=") !== -1
      ? decodeURIComponent(fullPath.split("next=")[1])
      : href;
  myStorage.clear();
  window.location.href = `/login?next=${encodeURIComponent(next)}`;
};

export default router;
