// 导入compression-webpack-plugin
const CompressionWebpackPlugin = require("compression-webpack-plugin");
// 定义压缩文件类型
const productionGzipExtensions = ["js", "css"];

module.exports = {
  configureWebpack: config => {
    // 通过配置 externals 实现打生产包时排除某些依赖，使用 cdn 资源代替
    config.externals = {
      vue: "Vue",
      vuex: "Vuex",
      axios: "axios",
      CryptoJS: "CryptoJS",
      Qs: "Qs",
      moment: "moment",
      "vue-router": "VueRouter",
      "element-ui": "ELEMENT"
    };
    config.plugins.push(
      // 服务器开启Gzip
      new CompressionWebpackPlugin({
        filename: "[path].gz[query]",
        algorithm: "gzip",
        test: new RegExp("\\.(" + productionGzipExtensions.join("|") + ")$"),
        threshold: 10240,
        deleteOriginalAssets: false,
        minRatio: 0.8
      })
    );
  },
  publicPath: "/oms/"
  // publicPath: process.env.VUE_APP_ENV === "prod" ?
  //   "//static.hoolihome.com/admin/oms/" : "/oms/"
};
